
body {
    font-family: "Inter","Noto Serif Bengali" !important;
}
.collapse {
    visibility: visible;
}
table, td, th {
    border: 1px solid #F0F2F5;
    font-size: 15px;
  }
  th{
    background: #263F490D;
  }
  td{
    word-break:break-all;
  }
  tr:hover{
    background-color: #fafbfb !important;
  }
  table {
    width: 100%;
    border-collapse: collapse;
  }
  table.dataTable thead th, table.dataTable thead td {
    
    border-bottom: none;
}
table.dataTable.no-footer {
     border-bottom: none;
}
.password-eye-position{
    height: 110px;
}
.submenu {
    display: none;
    font-size: 16px;
}

.submenu.show {
    display: block;
}
.nav-item.active{
    background-color: rgba(255, 255, 255, 0.03);
    width: auto;
    margin-left: 12px;
    margin-right: 12px;
    border-radius: 16px 16px 16px 16px;
    opacity: 0px;
    font-weight: 600;
}
.border-menuborderColor{
    width: 230px;
    margin-left: 12px;
    font-size: 16px;
}
.bg-sidebarColor {
    background-color: rgba(12, 49, 37, 1);
}
.hover\:bg-sidebar:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / 10%);
}
nav a i {
    margin-right: 12px;
}
.user-email-address{
    font-size: 9px;
}
.company-logo{
    width: 120px;
}
.db-card-background1{
    background: rgba(59, 76, 178, 0.03);
}
.db-card-background2{
    background: rgba(199, 215, 31, 0.03);
}
.db-card-background3{
    background: rgba(2, 182, 208, 0.03);
}
.db-card-background4{
    background: rgba(237, 121, 121, 0.03);

}
.db-card-background5{
    background: rgba(13, 140, 109, 0.03);
}
.db-card-background6{
    background: rgba(216, 108, 234, 0.03);
}
.db-card-background7{
    background: rgba(131, 81, 210, 0.03);
}
.db-card-background8{
    background: rgba(246, 188, 0, 0.03);
}
.db-card-icon1{
    color: rgba(59, 76, 178,1);
}
.db-card-icon2{
    color: rgba(199, 215, 31, 1);
}
.db-card-icon3{
    color: rgba(2, 182, 208, 1);
}
.db-card-icon4{
    color: rgba(237, 121, 121, 1);

}
.db-card-icon5{
    color: rgba(13, 140, 109, 1);
}
.db-card-icon6{
    color: rgba(216, 108, 234, 1);
}
.db-card-icon7{
    color: rgba(131, 81, 210,1);
}
.db-card-icon8{
    color: rgba(246, 188, 0, 1);
}

/* bar chart start  */
.chart-container {
    display: flex;
    gap: 20px;
    padding: 20px 0px;
}
.chart-box-wrapper {
    flex: 1;
}
.chart-title {
    font-weight: 600;
    font-size: 1em;
    color: #1C4336;
    margin-bottom: 10px;
}
.chart-box {
    padding: 20px;
    background-color: #fff;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    border: 1px solid #e6e6e6;
    position: relative;
}
.chart-box-height{
    height: 330px;
}
.top-controls {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
    justify-content: right;
    gap: 10px;
}
.dropdown {
    position: relative;
}
.dropdown select {
    padding: 3px 17px 3px 25px;
    border: 1px solid #ccc;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    width: 100px;
}
.dropdown i {
    position: absolute;
    left: 10px; /* Adjust position of icon */
    top: 50%;
    transform: translateY(-50%);
    color: #aaa; /* Icon color */
}
.chart-legend {
    display: flex;
    gap: 20px;
}
.legend-item {
    display: flex;
    align-items: center;
    gap: 5px;
}
.legend-color {
    width: 14px;
    height: 14px;
    border-radius: 3px;
}
.legend-item span{
    font-size: 14px;
}
/* bar chat end */





.card {
    background-color: #fff;
    border: none;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
}

.card-title {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

.chart-container2 {
    margin: 0 auto;
    width: 100%;
    height: auto;
}

/* .flex {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.flex > .col {
    flex: 1;
    min-width: 300px;
} */

.status-flex {
    display: flex;
    justify-content: space-between;
}

/* Donut Chart Styling */
.donut-chart-container {
    width: 250px;
    margin: 0 auto;
}

.license-status-info {
    padding: 0 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.license-status-info h2 {
    margin: 0;
    font-size: 24px;
}

.license-status-info p {
    margin: 5px 0;
    font-size: 14px;
    color: #666;
}


.text-danger {
    color: #dc3545;
}


/*
.status-flex {
    display: flex;
    justify-content: space-between; 
    align-items: center; 
    width: 100%; 
}

 .donut-chart-container2 {
    position: relative;
    height: 187px;
    width: 100%;
    margin: 0 auto;
}

.license-status-info {
   
    position: absolute;
    margin-top: 7%;
    margin-left: 38%;
    transform: translate(-45%, -284%);
    text-align: center;
    z-index: 10;
} */

.dataTable {
    width: 100% !important; /* Ensure the table uses the full width */
}
.datatable-custom .dataTables_filter{
    display: none;
}
.bg-input{
    background-color: #6c8e7608;
}
.search-icon-bg{
    background-color: #81B29A1F;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
  
    padding: 0.3em 0.7em;
    margin-left: 10px;
    border: 1px solid #99999961;
    border-radius: 8px;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.active {
    background-color: #4D8A6F;
    color: #ffff !important;
}
.bg-sidebarColor {
    box-sizing: unset;
}
 .vertical-line {
    border-left: 1px solid #e5e7eb;
    margin-left: 1rem;
    padding-left: 1rem;
} 

.col-four-grid .grid > div:nth-child(4n + 1) {
    border-left: none; /* Remove left border from first column of each row */
    margin-left: 0rem;
    padding-left: 0rem;
}
.hr-loop hr:last-of-type {
    display: none; /* Hides the last <hr> element */
}
.checklist-subtable td{
    border: unset;
}
#mobile-menu-button{
    position: absolute;
    z-index: 200;
    top: 0;
    left: 0;
}
.select2-container {
    display: block !important;
}
.selection-form-custom .select2-container {
    width: 100% !important;
}
.select2-search__field{
    width: 100% !important;
}

.no-scrollbar::-webkit-scrollbar {
    display: none;
}

.no-scrollbar {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}
.bstree-children .bstree-chevron{
    padding-left: 33px !important;
}
.selection-form-custom .select2-container .select2-selection--single {
    height: 50px;
    margin-top: 0.5rem;
    padding: 0.3rem;
    font-size: 15px;
}
.selection-form-custom .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #444;
    line-height: 40px;
}
.selection-form-custom .select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 2px solid #d4d4d4;
    border-radius: 10px;
}
.selection-form-custom .select2-container--default .select2-selection--single .select2-selection__arrow b {
    margin-top: 7px;
}
.selection-form-custom-p-2 .select2-container .select2-selection--single {
    height: 45px;
    margin-top: 0.5rem;
    padding: 0.2rem;
    font-size: 15px;
}
.selection-form-custom-p-2 .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #444;
    line-height: 40px;
}
.selection-form-custom-p-2 .select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 2px solid #d4d4d4;
    border-radius: 10px;
}
.selection-form-custom-p-2 .select2-container--default .select2-selection--single .select2-selection__arrow b {
    margin-top: 7px;
}
.report .select2-container .select2-selection--single{
    height: 37px;
}
.report  .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 34px !important;
}

.card.card-top{
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom: 0.5px solid rgba(38, 63, 73, 0.15);
    margin-bottom: 0;
    background-color: rgba(255, 255, 255, 0.1);
    padding: 20px 20px 18px 20px;
}

.card.card-top .card-title{
    margin-bottom: 5px;
}

.card.card-top-body{
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.card-header nav ol > li:last-child{
    color: #E07A5F !important;
}

.text-active{
    color: #E07A5F !important;
}

.bd-body{
    background-color: rgba(250, 250, 250, 1);
}

.bg-active{
    background-color: #E07A5F;
}



/* .form-control{
    background-color: #efefef6b !important;
}
.select2-selection{
    background-color: #efefef6b !important;
}
.flpInput {
    background-color: #efefef6b !important;
} */

.report-table .dataTables_filter .form-control{
    border: 1px solid gray !important;
    margin-bottom: 10px !important;
    height: 30px !important;
    padding: 5px !important;
}
@media (max-width: 1023px) {
    .vertical-line {
        border-left: none;
        padding-left: 0;
        margin-left: 0;
    }
}
